local oldCamUpdate = VehicleCamera.update;
print("--- loading TIR support mod V1.0--- (by upsidedown)")
VehicleCamera.update = function (self, dt)

	if g_currentMission.TIRpad == nil then
		local Npads = getNumOfGamepads();
		for pad = 0,Npads-1,1 do
			if getGamepadName(pad) == "PPJoy Virtual Joystick 1" then
				g_currentMission.TIRpad = pad;
				print("TIR support by upsidedown:: PPJoy Virtual Joystick found! :)")
				break;
			end;
		end;
		if g_currentMission.TIRpad == nil then
			print("TIR support by upsidedown:: PPJoy Virtual Joystick NOT FOUND! Sorry, no headtracking this time... :(")
		end;
	end;


	
	if g_currentMission.TIRpad ~= nil then
		if self.isActivated and self.isRotatable and self.isInside then
			local pad = g_currentMission.TIRpad;
			local rx = getInputAxis(0,pad);
			local ry = getInputAxis(1,pad);
			local rz = getInputAxis(2,pad);
			
			self.rotX = self.origRotX -ry * 2*math.pi;
			self.rotY = self.origRotY -rx * 2*math.pi;
			self.rotZ = self.origRotZ -rz * 2*math.pi;
			
			oldCamUpdate(self, dt)
			if not self.allowTranslation then
				local dx = getInputAxis(3,pad);
				local dy = getInputAxis(5,pad);
			
				self.transY = self.origTransY + dy*0.2; --up/down
				self.transX = self.origTransX + dx*0.4;
				setTranslation(self.cameraPositionNode, self.transX, self.transY, self.transZ)
			end;			
		else
			oldCamUpdate(self, dt)
		end;
	else
		oldCamUpdate(self, dt)
	end;
end;